# Breach Monitoring API

A breach or exposure refers to any unintended release of user credentials on the Internet. This could be due to a data breach at a site, malware that has captured user credentials, a phishing site which has been capturing user credentials, etc.  An exposure occurs when this stolen credential data is then posted or shared in some public or private venue. Enzoic routinely scours the web looking for this data and catalogues it into its database. Every time a new list of credentials is found, this is added as a new breach/exposure in our database.

The Breach Monitoring API allows you to register email addresses and email domains with Enzoic so you can be notified about future breaches that involve them. The notifications will be made to a webhook URL you establish with Enzoic. See the [Webhooks](/enzoic-api-developer-documentation/api-reference/breach-monitoring-api/webhooks.md) section for more details. For general information on webhooks, see [webhooks.org.](https://webhooks.pbworks.com/w/page/13385124/FrontPage)

{% content-ref url="/pages/6OqyPnYZKXSJdDDGeA8D" %}
[Breach Monitoring by User](/enzoic-api-developer-documentation/api-reference/breach-monitoring-api/breach-monitoring-by-user.md)
{% endcontent-ref %}

{% content-ref url="/pages/RnR6iuE12BWuuAomY7n1" %}
[Breach Monitoring by Domain](/enzoic-api-developer-documentation/api-reference/breach-monitoring-api/breach-monitoring-by-domain.md)
{% endcontent-ref %}

{% content-ref url="/pages/YAhC2hnBqzEUk3w4utvS" %}
[Webhooks](/enzoic-api-developer-documentation/api-reference/breach-monitoring-api/webhooks.md)
{% endcontent-ref %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.enzoic.com/enzoic-api-developer-documentation/api-reference/breach-monitoring-api.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
